#include "../include/Cache_OneLevel.h"

namespace environment {
namespace cache {
namespace cache_onelevel {
  
  uint32_t Cache_OneLevel::need_slot (void)
  {
    uint32_t res = 0;
    // scan all port - test if have a transaction
    for (uint32_t x = 0; x < param->nb_port; x ++)
      if (access_port[x].valid == true)
	res ++;
    
    return res;
  }

};
};
};
